Subject: Re: Kernel Driver with floats.

From: Wolfgang Grandegger <[email-masked]>
Date: Thu, 25 Sep 2003 11:06:48 +0200

On 09/25/2003 10:45 AM [email-masked] wrote:
> Hi.
>
> I would like to know if it is possible to use floats in a kernel driver.
> I use a MPC860.
> I get unresolved symbols with the standard makefile.
> Are there special options to use ?
> Any lib to add ?

We have a demo module for RTAI using soft-floats on MPC 8xx at
ftp://ftp.denx.de/pub/RTAI/contrib/fp_ppc_8xx.tar.bz2. There is a README
inside. But be aware that soft-float on the 860 is very slow, especially
when you do complex FP math like sin() etc.

Wolfgang.

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/